DefinitionCriteriaNoSearchImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class DefinitionCriteriaNoSearchImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.DefinitionCriteriaImpl
  - - tv.amwa.maj.union.impl.DefinitionCriteriaNoSearchImpl

- All Implemented Interfaces:
    Serializable, Cloneable, DefinitionCriteria, DefinitionCriteriaNoSearch

      public class DefinitionCriteriaNoSearchImpl
      extends DefinitionCriteriaImpl
      implements DefinitionCriteriaNoSearch, Serializable, Cloneable

  Implementation of a criteria for matching a definition that matches nothing.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefinitionCriteriaNoSearchImpl()` Create a definition criteria that matches nothing.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefinitionCriteriaNoSearchImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `String` | `toString()` Creates a pseudo-XML representation of this definition criteria.

    - ### Methods inherited from class tv.amwa.maj.union.impl.DefinitionCriteriaImpl

      `getDefinitionType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.DefinitionCriteria

      `getDefinitionType`

- - ### Constructor Detail

    - #### DefinitionCriteriaNoSearchImpl

          public DefinitionCriteriaNoSearchImpl()

      Create a definition criteria that matches nothing.

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Creates a pseudo-XML representation of this definition criteria. No XML schema or DTD is defined. For example:

           <DefinitionCriteria />

      Overrides:
        `toString` in class `Object`

    - #### clone

          public DefinitionCriteriaNoSearchImpl clone()
                                               throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.